# Uses of Class
org.pentaho.reporting.libraries.repository.ContentIOException

Packages that use ContentIOException
Package
Description
org.pentaho.reporting.libraries.repository
org.pentaho.reporting.libraries.repository.dummy
org.pentaho.reporting.libraries.repository.email
org.pentaho.reporting.libraries.repository.file
org.pentaho.reporting.libraries.repository.stream
org.pentaho.reporting.libraries.repository.zip
org.pentaho.reporting.libraries.repository.zipreader
org.pentaho.reporting.libraries.repository.zipwriter

## Uses of ContentIOException in org.pentaho.reporting.libraries.repository

Subclasses of ContentIOException in org.pentaho.reporting.libraries.repository
Modifier and Type
Class
Description
`class`
`ContentCreationException`
A exception that indicates that a new ContentEntry could not be created in the repository.
Methods in org.pentaho.reporting.libraries.repository that throw ContentIOException
Modifier and Type
Method
Description
`static ContentItem`
RepositoryUtilities.`createItem(Repository repository, String[] name)`
Tries to create a content item with the given path-name in the repository.
`static ContentLocation`
RepositoryUtilities.`createLocation(Repository repository, String[] name)`
Tries to create a content location with the given path-name in the repository.
`String`
DefaultNameGenerator.`generateName(String nameHint, String mimeType)`
Generates a new, unique name for storing resources in the output repository.
`String`
NameGenerator.`generateName(String nameHint, String mimeType)`
Generates a new name for the location.
`static ContentEntity`
RepositoryUtilities.`getEntity(Repository repository, String[] name)`
Returns the content entity for the given path name.
`ContentEntity`
ContentLocation.`getEntry(String name)`
Returns the content entity with the given name.
`InputStream`
ContentItem.`getInputStream()`
Tries to open and return a input stream for reading from the content item.
`String`
ContentItem.`getMimeType()`
Returns the mime type for the content entity.
`OutputStream`
ContentItem.`getOutputStream()`
Tries to open and return a output stream for writing into the content item.
`ContentLocation`
Repository.`getRoot()`
Returns the repositories root directory entry.
`static boolean`
RepositoryUtilities.`isExistsEntity(Repository repository, String[] name)`
Checks whether a given pathname points to a valid content entity.
`ContentEntity[]`
ContentLocation.`listContents()`
Returns all content entities stored in this content-location.
`static void`
RepositoryUtilities.`writeAsZip(OutputStream outputStream, Repository repository)`
Writes the given repository as ZIP-File into the given output stream.
`static void`
RepositoryUtilities.`writeToZipStream(ZipOutputStream zipOutputStream, Repository repository)`
Writes the given repository to the given ZIP-output stream.

## Uses of ContentIOException in org.pentaho.reporting.libraries.repository.dummy

Methods in org.pentaho.reporting.libraries.repository.dummy that throw ContentIOException
Modifier and Type
Method
Description
`ContentEntity`
DummyContentLocation.`getEntry(String name)`
Returns the content entity with the given name.
`String`
DummyContentItem.`getMimeType()`
Returns the mime type for the content entity.
`ContentEntity[]`
DummyContentLocation.`listContents()`
Returns all content entities stored in this content-location.

## Uses of ContentIOException in org.pentaho.reporting.libraries.repository.email

Methods in org.pentaho.reporting.libraries.repository.email that throw ContentIOException
Modifier and Type
Method
Description
`ContentEntity`
EmailContentLocation.`getEntry(String name)`
`InputStream`
EmailContentItem.`getInputStream()`
`String`
EmailContentItem.`getMimeType()`
`OutputStream`
EmailContentItem.`getOutputStream()`
`ContentLocation`
EmailRepository.`getRoot()`
`ContentEntity[]`
EmailContentLocation.`listContents()`
`void`
EmailRepository.`writeEmail(OutputStream out)`
Constructors in org.pentaho.reporting.libraries.repository.email that throw ContentIOException
Modifier
Constructor
Description
``
`EmailRepository(javax.mail.internet.MimeMessage htmlEmail)`
``
`EmailRepository(javax.mail.internet.MimeMessage htmlEmail, MimeRegistry mimeRegistry)`
``
`EmailRepository(javax.mail.Session session)`
``
`EmailRepository(MimeRegistry mimeRegistry, javax.mail.Session mailSession)`

## Uses of ContentIOException in org.pentaho.reporting.libraries.repository.file

Methods in org.pentaho.reporting.libraries.repository.file that throw ContentIOException
Modifier and Type
Method
Description
`String`
TempFileNameGenerator.`generateName(String nameHint, String mimeType)`
Generates a new name for the location.
`ContentEntity`
FileContentLocation.`getEntry(String name)`
Returns the content entity with the given name.
`InputStream`
FileContentItem.`getInputStream()`
`String`
FileContentItem.`getMimeType()`
`OutputStream`
FileContentItem.`getOutputStream()`
`ContentLocation`
FileRepository.`getRoot()`
Returns the repositories root directory entry.
`ContentEntity[]`
FileContentLocation.`listContents()`
Lists all content entities stored in this content-location.
Constructors in org.pentaho.reporting.libraries.repository.file that throw ContentIOException
Modifier
Constructor
Description
``
`FileContentLocation(ContentLocation parent, File backend)`
Creates a new location for the given parent and directory.
``
`FileContentLocation(Repository repository, File backend)`
Creates a new root-location for the given repository and directory.
``
`FileRepository(File file)`
Creates a new repository for the given file.
``
`FileRepository(File file, MimeRegistry mimeRegistry)`
Creates a new repository for the given file.

## Uses of ContentIOException in org.pentaho.reporting.libraries.repository.stream

Methods in org.pentaho.reporting.libraries.repository.stream that throw ContentIOException
Modifier and Type
Method
Description
`ContentEntity`
StreamContentLocation.`getEntry(String name)`
Returns the content entity with the given name.
`InputStream`
StreamContentItem.`getInputStream()`
Tries to open and return a input stream for reading from the content item.
`String`
StreamContentItem.`getMimeType()`
Returns the mime type for the content entity.
`OutputStream`
StreamContentItem.`getOutputStream()`
Tries to open and return a output stream for writing into the content item.
`ContentEntity[]`
StreamContentLocation.`listContents()`
Returns all content entities stored in this content-location.

## Uses of ContentIOException in org.pentaho.reporting.libraries.repository.zip

Methods in org.pentaho.reporting.libraries.repository.zip that throw ContentIOException
Modifier and Type
Method
Description
`ContentEntity`
ZipContentLocation.`getEntry(String name)`
`InputStream`
ZipContentItem.`getInputStream()`
`String`
ZipContentItem.`getMimeType()`
`OutputStream`
ZipContentItem.`getOutputStream()`
`ContentLocation`
ZipRepository.`getRoot()`
`ContentEntity[]`
ZipContentLocation.`listContents()`
`void`
ZipRepository.`write(OutputStream outputStream)`
`void`
ZipRepository.`writeToZipStream(ZipOutputStream zipOutputStream, Repository repository)`

## Uses of ContentIOException in org.pentaho.reporting.libraries.repository.zipreader

Methods in org.pentaho.reporting.libraries.repository.zipreader that throw ContentIOException
Modifier and Type
Method
Description
`ContentEntity`
ZipReadContentLocation.`getEntry(String name)`
`InputStream`
ZipReadContentItem.`getInputStream()`
`String`
ZipReadContentItem.`getMimeType()`
`OutputStream`
ZipReadContentItem.`getOutputStream()`
`ContentLocation`
ZipReadRepository.`getRoot()`
`ContentEntity[]`
ZipReadContentLocation.`listContents()`

## Uses of ContentIOException in org.pentaho.reporting.libraries.repository.zipwriter

Methods in org.pentaho.reporting.libraries.repository.zipwriter that throw ContentIOException
Modifier and Type
Method
Description
`ContentEntity`
ZipContentLocation.`getEntry(String name)`
`InputStream`
ZipContentItem.`getInputStream()`
`String`
ZipContentItem.`getMimeType()`
`OutputStream`
ZipContentItem.`getOutputStream()`
`ContentLocation`
ZipRepository.`getRoot()`
`ContentEntity[]`
ZipContentLocation.`listContents()`